Avro C++

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
avro::is_defined< T > Struct Template Reference

Check if a `T` is a complete type i.e. More...

`#include <AvroTraits.hh>`

## Public Types
typedef char | yes[1]
typedef char | no[2]

## Static Public Member Functions
template<class U >
static yes & | test (char(*)[sizeof(U)])
template<class U >
static no & | test (...)

## Static Public Attributes
static const bool | value = sizeof(test<T>(0)) == sizeof(yes)

## Detailed Description

### template<class T>
struct avro::is_defined< T >

Check if a `T` is a complete type i.e.

it is defined as opposed to just declared.

is_defined<T>::value will be true or false depending on whether T is a complete type or not respectively.

The documentation for this struct was generated from the following file:

- api/AvroTraits.hh